<?php

$api_key = '7caaba91b3cc96fa264ab920708b7df6';
$user_email = 'deniz@mylocationadvisor.com';
$gohighlevel_token = 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsb2NhdGlvbl9pZCI6Imp5dFNQWHQ2TmJrNTJUSnhZbDBaIiwidmVyc2lvbiI6MSwiaWF0IjoxNzIzNDY3NDM5NTk2LCJzdWIiOiJXczNYclVmb2EyQnVrRlNrd0VaaCJ9.81fBq3zVxeFSkLLtu33iKpUsUn0lkOSIUW_UjuDQ__4';

$start_of_today = strtotime('today midnight');
$end_of_today = strtotime('tomorrow midnight') - 1;

$curl = curl_init();

$search_criteria = json_encode([
    'minimum_created_date' => $start_of_today,
    'maximum_created_date' => $end_of_today,
    'page_size' => 200
]);

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.copper.com/developer_api/v1/people/search',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => $search_criteria,
  CURLOPT_HTTPHEADER => array(
    'X-PW-AccessToken: ' . $api_key,
    'X-PW-Application: developer_api',
    'X-PW-UserEmail: ' . $user_email,
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

if (curl_errno($curl)) {
    echo 'cURL error: ' . curl_error($curl);
} else {
    $http_code = curl_getinfo($curl, CURLINFO_HTTP_CODE);
    if ($http_code === 200) {
        $people_data = json_decode($response, true);
        
        // print_r($people_data);exit;
        
        foreach ($people_data as $person) {
            $email = isset($person['emails'][0]['email']) ? $person['emails'][0]['email'] : null;
            $phone = $person['phone'] ?? null; // Check if phone exists
            $firstName = $person['first_name'];
            $lastName = $person['last_name'];
            $companyName = $person['company'] ?? null; // Optional fields
            $city = $person['address']['city'] ?? null;
            $state = $person['address']['state'] ?? null;
            $country = $person['address']['country'] ?? null;
            $postalCode = $person['address']['postal_code'] ?? null;
            $tags = $person['tags'] ?? null;
            
            
            $gohighlevel_data = json_encode([
                'email' => $email,
                'phone' => $phone,
                'firstName' => $firstName,
                'lastName' => $lastName,
                'name' => "$firstName $lastName",
                'companyName' => $companyName,
                'city' => $city,
                'state' => $state,
                'country' => $country,
                'postalCode' => $postalCode,
                'source' => 'public api mitash',
                'tags' => $tags,
            ]);
            
            // print_r($gohighlevel_data);exit;

            $gohighlevel_curl = curl_init();
            curl_setopt_array($gohighlevel_curl, array(
              CURLOPT_URL => 'https://rest.gohighlevel.com/v1/contacts/',
              CURLOPT_RETURNTRANSFER => true,
              CURLOPT_ENCODING => '',
              CURLOPT_MAXREDIRS => 10,
              CURLOPT_TIMEOUT => 0,
              CURLOPT_FOLLOWLOCATION => true,
              CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
              CURLOPT_CUSTOMREQUEST => 'POST',
              CURLOPT_POSTFIELDS => $gohighlevel_data,
              CURLOPT_HTTPHEADER => array(
                'Authorization: Bearer ' . $gohighlevel_token,
                'Content-Type: application/json'
              ),
            ));
            
            $gohighlevel_response = curl_exec($gohighlevel_curl);
            
            if (curl_errno($gohighlevel_curl)) {
                echo 'Error sending data to GoHighLevel: ' . curl_error($gohighlevel_curl);
            } else {
                $gohighlevel_http_code = curl_getinfo($gohighlevel_curl, CURLINFO_HTTP_CODE);
                if ($gohighlevel_http_code === 200) {
                    echo "Data successfully sent to GoHighLevel for $firstName $lastName.\n";
                } else {
                    echo "Failed to send data to GoHighLevel for $firstName $lastName. HTTP Status Code: $gohighlevel_http_code\n";
                    echo "Response: $gohighlevel_response\n";
                }
            }
            
            curl_close($gohighlevel_curl);
        }
        
    } else {
        echo "Failed to fetch data from Copper API. HTTP Status Code: $http_code\n";
        echo "Response: $response\n";
    }
}

curl_close($curl);

?>
