<?php

$apiUrl = 'https://rest.gohighlevel.com/v1/contacts/';
$apiToken = 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsb2NhdGlvbl9pZCI6Imp5dFNQWHQ2TmJrNTJUSnhZbDBaIiwiY29tcGFueV9pZCI6IldsMGwwWnNEZlM2RGRhNU9KdU9CIiwidmVyc2lvbiI6MSwiaWF0IjoxNzA1NzgzNzcyMzY1LCJzdWIiOiJ1c2VyX2lkIn0.0IK1kIIRGT0OJYLOoY0UK79Jr_tVtcFmPDekdMrJVEc';
$csvFile = '5DCA1.csv';


function mapToApiPayload($row) {
    // $phones = [];
    // if (!empty($row['Phone Number'])) {
    //     $phones[] = ["number" => $row['Phone Number'], "type" => $row['Phone Number Type']];
    // }
    // if (!empty($row['Phone Number 2'])) {
    //     $phones[] = ["number" => $row['Phone Number 2'], "type" => $row['Phone Number 2 Type']];
    // }
    // if (!empty($row['Phone Number 3'])) {
    //     $phones[] = ["number" => $row['Phone Number 3'], "type" => $row['Phone Number 3 Type']];
    // }
    

    // $social = [];
    // for ($i = 1; $i <= 9; $i++) {
    //     if (!empty($row["Social $i"])) {
    //         $social[] = ["link" => $row["Social $i"], "type" => $row["Social $i Type"]];
    //     }
    // }

    // $websites = [];
    // for ($i = 1; $i <= 3; $i++) {
    //     if (!empty($row["Website $i"])) {
    //         $websites[] = ["url" => $row["Website $i"], "type" => $row["Website $i Type"]];
    //     }
    // }

    return [
        "firstName" => $row['First Name'],
        "lastName" => $row['Last Name'],
        "title" => $row['Title'],
        "notes" => $row['Notes'],
        "company" => $row['Company'],
        "address1" => $row['Street'],
        "city" => $row['City'],
        "state" => $row['State'],
        "postalCode" => $row['Zip Code'],
        // "country" => 'United States',
        "country" => $row['Country'],
        // "type" => 'potential_customers',
        "companyName" => $row['Company'],
        // "tags" => !empty($row['tag']) ? explode(',', $row['tag']) : [],
        "tags" => $row['Tag'],
        "tags" => ['ARCHITECT','DPOR'],
        "email" => !empty($row['Email']) ? $row['Email'] : null,
        "emailType" => $row['Email Type'],
        "email2" => $row['Email 2'],
        "email2Type" => $row['Email 2 Type'],
        // "phones" => $phones,
        "address1" => $row['FIRST LINE ADDRESS'].', '. $row['SECOND LINE ADDRESS'],
        "phone" => $row['Phone'],
        "social" => $social,
        "websites" => $websites,
        "customField" => [
            "ODBSVh4qTkN1LZH7NPM6" => $row['Title'],
            // "WwRAgerUbFEmkj0CQusP" => 'Potential Customers',
            "contact.referred" => $row['Referred cf_364102 people names'],
            "contact.referred_by" => $row['Referred by cf_364103 people names'],
            "contact.owner_company" => $row['Owner Company cf_434313'],
            "contact.owner_address" => $row['Owner Address cf_434314'],
            "contact.unit_number" => $row['unit number cf_434316'],
            "contact.transaction_type" => $row['TRANSACTION TYPE cf_581656'],
            "contact.representation_type" => $row['REPRESENTATION TYPE cf_581658'],
            "contact.1st_location_closinglease_sign_date" => $row['1ST LOCATION CLOSING/LEASE SIGN DATE cf_581659'],
            "contact.1st_location_end_of_lease" => $row['1ST LOCATION END OF LEASE cf_581681'],
            "contact.2nd_location_closing_lease" => $row['2ND LOCATION CLOSING/ LEASE cf_581685'],
            "contact.2nd_location_lease_end_date" => $row['2ND LOCATION LEASE END DATE cf_581686'],
            "contact.1st_location_address" => $row['1ST LOCATION ADDRESS cf_581696'],
            "contact.2nd_location_address" => $row['2ND LOCATION ADDRESS cf_581697'],
            "contact.option_payment" => $row['OPTION PAYMENT cf_581756'],
            "contact.1st_renewal_start_date" => $row['1ST RENEWAL START DATE cf_625550'],
            "contact.1st_renewal_end_date" => $row['1ST RENEWAL END DATE cf_625551'],
            "contact.mailing_address" => $row['MAILING ADDRESS cf_629015']
        ]
    ];
}

if (($handle = fopen($csvFile, "r")) !== FALSE) {
    $bom = fread($handle, 3);
    if ($bom !== "\xEF\xBB\xBF") {
        rewind($handle);
    }

    $header = fgetcsv($handle, 100000000, ",");

    while (($data = fgetcsv($handle, 100000000, ",")) !== FALSE) {

        $row = array_combine($header, $data);
        

        if (!empty($row['Email']) || !empty($row['Phone Number']) || !empty($row['Phone Number 2']) || !empty($row['Phone Number 3'])) {
            // Debugging: Output email and phone number for the row
            echo "Email: " . $row['Email'] . ", Phone Number: " . $row['Phone Number'] . "\n";
        
            // Map to API payload
            $payload = mapToApiPayload($row);
            echo '<pre>';
            print_r($payload);
            echo '</pre>';
        
            // Convert payload to JSON
            $jsonPayload = json_encode($payload);
        
        
            // Initialize cURL
            $ch = curl_init();

            curl_setopt($ch, CURLOPT_URL, $apiUrl);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $jsonPayload);
            curl_setopt($ch, CURLOPT_HTTPHEADER, [
                'Authorization: Bearer ' . $apiToken,
                'Content-Type: application/json'
            ]);

            // Execute cURL request
            $response = curl_exec($ch);
            $res = json_decode($response);
            // echo '<pre>';
            // print_r($res);
            // echo '</pre>';
            if (curl_errno($ch)) {
                echo 'Error:' . curl_error($ch);
            } else {
                echo "Response for {$row['First Name']} {$row['Last Name']}: $response\n";
            }

            curl_close($ch);
        } else {
            echo "Skipping {$row['First Name']} {$row['Last Name']}: No email or phone provided\n";
        }
    }

    fclose($handle);
} else {
    echo "Error: Unable to open CSV file.";
}